<?
$modelCities = new Model_Cities();
$m_st = new Model_Statistics();
$geo_city = $modelCities->getByGeoIp();

$country_id = $this->country;
$city_id = $this->city;

$is_agency = 1;
$is_new = false;

$is_tour = 0;
$is_upcoming_tour = 0;
$gender = null;

$category = ESCORT_TYPE_ESCORT;
if(strstr($_SERVER['REQUEST_URI'], "bdsm")) {
  $category = ESCORT_TYPE_BDSM;
}
if(strstr($_SERVER['REQUEST_URI'], "massage")) {
  $category = ESCORT_TYPE_MASSAGE;
}

/*$countries = $m_st->getEDCountries($gender, $is_agency, $is_tour, $is_upcoming_tour, null, $geo_city, $city_id, $country_id, $is_new,$category);

if ($country_id)
{
	$cities = $m_st->getEDCities($gender, $is_agency, $is_tour, $is_upcoming_tour, null, $geo_city, $city_id, $country_id, $is_new,$category);

}*/

?>

<div class="intentions searchbar mobile">
    <div class="searchbar-wrapper intentions-container d-flex flex-row justify-content-between align-items-center inner-section desktop flex-wrap">
        <div class="d-flex flex-fill">
            <form method="get" class="d-flex flex-fill">

                <div class="ml-0 autocomplete-container flex-grow-1" autocomplete="off">

                    <div class="d-flex justify-content-end align-items-center">
                        <i id="cancel-mobile" class="fa fa-times p-2"></i>
                    </div>
                    <div class="mobile mb-20"></div>

<!--                    <div class="autocomplete d-flex">-->
<!--                        <div class="flag-place d-flex align-items-center"><i-->
<!--                                    class="fas fa-map-marker-alt flag-place-icon"></i></div>-->
                        <?
                        $searchbar_val = [];
                        if(!empty($this->country)) $searchbar_val[] = $this->country['title'];
                        if(!empty($this->city)) $searchbar_val[] = $this->city['title'];
                        ?>
<!---->
<!--                        --><?// if(!empty($this->filtered_location['zone_title'])): ?>
<!--                            <input type="hidden" id="zone_id" name="zone_id" value="--><?//= $this->filtered_location['zone_id'] ?><!--">-->
<!--                        --><?// elseif(!empty($this->filtered_location['city_id'])): ?>
<!--                            <input type="hidden" id="city_id" name="city_id" value="--><?//= $this->filtered_location['city_id'] ?><!--">-->
<!--                        --><?// elseif(!empty($this->filtered_location['region_id'])): ?>
<!--                            <input type="hidden" id="region_id" name="region_id" value="--><?//= $this->filtered_location['region_id'] ?><!--">-->
<!--                        --><?// elseif(!empty($this->filtered_location['country_id'])): ?>
<!--                            <input type="hidden" id="country_id" name="country_id" value="--><?//= $this->filtered_location['country_id'] ?><!--">-->
<!--                        --><?// endif; ?>
<!---->
<!--                        <input id="countryInput" autocomplete="off" value="--><?//= implode(',',$searchbar_val) ?><!--" type="text" placeholder="City, Region or Country" value="--><?//=($this->locationTitle) ? $this->locationTitle:''?><!--">-->
<!--                        <span class="auto-complete-loader"></span>-->
<!--                    </div>-->
                    <div class="d-flex dropdown-selection justify-content-between align-items-center flex-fill">
                        <label for="height_from-mob"><?= __('country') ?></label>
                        <span class="multiselect-native-select" id="classified-country-search-mobile">
                            <div class="btn-group selected dropdown" id="">
                                <button type="button" class="multiselect dropdown-toggle btn btn-default" data-toggle="dropdown">
                                    <span class="multiselect-selected-text dropdown-toggle-val">
                                        <?= isset($this->country['title']) ?  $this->country['title'] : __('nothing_selected'); ?>
                                    </span>
                                    <b class="caret"></b>
                                </button>
                                <ul class="multiselect-container dropdown-menu" data-type="classified-country-search-mobile">
                                    <? foreach ($this->countries_list as $country): ?>
                                    <li>
                                        <label class="radio" title="<?= $country->title ?>">
                                            <input type="radio" name="country_id" <?= $this->country['id'] == $country->id ? 'checked' : '' ?> value="<?= $country->id ?>"> <a><?= $country->title ?> </a>
                                        </label>
                                    </li>
                                    <? endforeach ?>
                                </ul>
                            </div>
                        </span>
                    </div>

                    <div class="d-flex dropdown-selection justify-content-between align-items-center flex-fill">
                        <label for="height_from-mob"><?= __('city') ?></label>
                        <span class="multiselect-native-select" id="classified-city-search-mobile">
                            <div class="btn-group selected dropdown">
                                <button type="button" class="multiselect dropdown-toggle btn btn-default" data-toggle="dropdown">
                                    <span class="multiselect-selected-text dropdown-toggle-val">
                                        <?= isset($this->city['title']) ?  $this->city['title'] : __('nothing_selected'); ?>
                                    </span> <b class="caret"></b>
                                </button>
                                <ul class="multiselect-container dropdown-menu"  data-type="classified-city-search-mobile">
                                    <? foreach( $this->cities as $city): ?>
                                        <li>
                                            <label class="radio" title="<?= $city->title ?>">
                                                <input type="radio" name="city_id" checked <?= $this->city['id'] == $city->id ? 'checked' : '' ?>
                                                       value="<?= $city->id ?>"> <a><?= $city->title ?> </a>
                                            </label>
                                        </li>
                                    <? endforeach; ?>
                                </ul>
                            </div>
                        </span>
                    </div>

                    <div class="mobile mb-40"></div>
                    <p class="uppercase"><?= __('category') ?></p>
                    <div class="category-mobile d-flex flex-wrap p-3">
                        <? foreach( $this->defines['classified_ad_categories_ed'] AS $id => $title ): ?>
                            <label class="btn-dropdown-rounded <?= ($this->category == $id) ? ' active' :''?>"><?= $title ?>
                                <input type="radio" class="hidden" value="<?= $id ?>" name="lookingFor"<?= ($this->category == $id) ? ' checked' :''?>>
                            </label>
                        <? endforeach; ?>
                    </div>

                    <div class="mobile mb-40"></div>
                    <div class="text-form d-flex justify-content-between align-items-center flex-fill">
                        <label for="text-mob"><?= __('free_text') ?></label>
                        <input id="text-mob" type="text" name="text" placeholder="<?= __('nothing_selected') ?>">
                    </div>

                </div>
                <div class="button-container">
                    <button type="button" class="btn btn-brown uppercase ml-10 search-button-trigger mobile"><?= __('search') ?></button>
                    <button type="button" class="btn uppercase ml-10 dismiss-searchbar mobile"><?= __('reset') ?></button>
                </div>
            </form>
        </div>
    </div>

    <div class="searchbar-trigger intentions-container-mobile d-flex flex-row justify-content-between align-items-center inner-section mobile">
        <div class="group-container">
            <div class="dropdown-buttons-container">
                <span class="lookingFor-mobile-place"><?= __('classified_adds_in') ?>
            </div>
            <div id="myCountry-mobile-place" class="myCountry-mobile-place" autocomplete="off">
                <?= empty($searchbar_val) ? __('city_region_country') : implode(', ',$searchbar_val) ?>
            </div>
        </div>
        <a class="d-flex align-items-center text-grey" ><i class="fas fa-search"></i></a>
    </div>
</div>
